MappingData (Apache Tomcat 9.0.121 API Documentation)
Description: declaration: package: org.apache.catalina.mapper, class: MappingData

# Class MappingData

java.lang.Object
org.apache.catalina.mapper.MappingData

public class MappingData extends Object
Mapping data.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Context`
  `context`
  The mapped context.
  `final MessageBytes`
  `contextPath`
  Deprecated.
  Unused.
  `Context[]`
  `contexts`
  The mapped contexts.
  `int`
  `contextSlashCount`
  The number of slashes in the context path.
  `Host`
  `host`
  The mapped host.
  `boolean`
  `jspWildCard`
  Whether this is a JSP wildcard mapping.
  `MappingMatch`
  `matchType`
  The match type.
  `final MessageBytes`
  `pathInfo`
  The path info.
  `final MessageBytes`
  `redirectPath`
  The redirect path.
  `final MessageBytes`
  `requestPath`
  The request path.
  `Wrapper`
  `wrapper`
  The mapped wrapper.
  `final MessageBytes`
  `wrapperPath`
  The wrapper path.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MappingData()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `recycle()`
  Recycle this mapping data for reuse.
  `final String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### host

    public Host host
    The mapped host.

  - ### context

    public Context context
    The mapped context.

  - ### contextSlashCount

    public int contextSlashCount
    The number of slashes in the context path.

  - ### contexts

    public Context[] contexts
    The mapped contexts.

  - ### wrapper

    public Wrapper wrapper
    The mapped wrapper.

  - ### jspWildCard

    public boolean jspWildCard
    Whether this is a JSP wildcard mapping.

  - ### contextPath

    @Deprecated public final MessageBytes contextPath
    Deprecated.
    Unused. This will be removed in Tomcat 10.

  - ### requestPath

    public final MessageBytes requestPath
    The request path.

  - ### wrapperPath

    public final MessageBytes wrapperPath
    The wrapper path.

  - ### pathInfo

    public final MessageBytes pathInfo
    The path info.

  - ### redirectPath

    public final MessageBytes redirectPath
    The redirect path.

  - ### matchType

    public MappingMatch matchType
    The match type.

- ## Constructor Details

  - ### MappingData

    public MappingData()
    Default constructor.

- ## Method Details

  - ### recycle

    public void recycle()
    Recycle this mapping data for reuse.

  - ### toString

    public final String toString()
    Overrides:
      `toString` in class `Object`